<?php
namespace Modules\Additional\Specifique\Client158;

use Skeleton\Module;
use Psr\Container\ContainerInterface;
use Skeleton\Renderer\RendererInterface;
use Helpers\Parametres\Parametres;
use Skeleton\Router;
use Modules\Additional\Specifique\Client158\Modules\EtatStatistique\Controller\EtatStatistiqueController;

class Specifique158Module extends Module
{
    const DEFINITIONS = __DIR__ . '/config.php';

    // private $router, $container
    public function __construct(ContainerInterface $container)
    {
        $container->get(RendererInterface::class)->addPath('specifique158', __DIR__.'/Modules/EtatStatistique/view');
        $router = $container->get(Router::class);
        $base_url = $container->get('baseUrl') . $container->get('Specifique158.prefix');
        
        $router->get($base_url. '/etatStatistique/suiviBudgetaire', EtatStatistiqueController::class, 'Specifique158.EtatStatistique.suiviBudgetaire');
        $router->get($base_url. '/etatStatistique/suiviBudgetaire/export', EtatStatistiqueController::class, 'Specifique158.EtatStatistique.export');
    }
}
